package com.ruoyi.oa.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 实际回款对象 cmc_contract_paid
 * 
 * @author cmc
 * @date 2025-02-12
 */
public class CmcContractPaid extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 合同实际回款id */
    private Long paidId;

    /** 合同id */
    @Excel(name = "合同id")
    private String contractId;

    /** 实际回款比例 */
    @Excel(name = "实际回款比例")
    private String paidPercentage;

    /** 实际回款金额 */
    @Excel(name = "实际回款金额")
    private BigDecimal paidAmount;

    /** 实际回款时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "实际回款时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date paidTime;

    public void setPaidId(Long paidId) 
    {
        this.paidId = paidId;
    }

    public Long getPaidId() 
    {
        return paidId;
    }
    public void setContractId(String contractId) 
    {
        this.contractId = contractId;
    }

    public String getContractId() 
    {
        return contractId;
    }
    public void setPaidPercentage(String paidPercentage) 
    {
        this.paidPercentage = paidPercentage;
    }

    public String getPaidPercentage() 
    {
        return paidPercentage;
    }
    public void setPaidAmount(BigDecimal paidAmount)
    {
        this.paidAmount = paidAmount;
    }

    public BigDecimal getPaidAmount()
    {
        return paidAmount;
    }
    public void setPaidTime(Date paidTime) 
    {
        this.paidTime = paidTime;
    }

    public Date getPaidTime() 
    {
        return paidTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("paidId", getPaidId())
            .append("contractId", getContractId())
            .append("paidPercentage", getPaidPercentage())
            .append("paidAmount", getPaidAmount())
            .append("paidTime", getPaidTime())
            .toString();
    }
}
